Advanced roadmap - Error #405

500 Error When Viewing Issue
2011-01-29 16:00 - Jack Timmons

Status: Resolved Start date: 2011-02-22
Priority: Normal Due date: 2011-02-22
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: General Estimated time: 0.00 hour
Target version: Advanced roadmap 0.3.2

Source: Redmine version:

Detected on version:

Description
Hello,

I'm running Redmine 1.0 on Ubuntu 10.10. The default install of Redmine works well, but when | install the Advanced Roadmap 0.3.0
| get 500 errors when viewing issues. | use Ubuntu's distro for Redmine.

Installing process is:

cd /usr/share/redmine/vendor/plugins

wget http://ociotec.com/redmine/attachments/download/126/advanced_roadmap.0.3.0.tar.gz
tar -xf advanced_roadmap.0.3.0.tar.gz

cd ../../

sudo rake db:migrate:plugins RAILS_ENV=production

Error is:

# Logfile created on Sat Jan 29 14:42:49 +0000 20l1l1Advanced roadmap & milestones plugin for RedMin
e
Starting redmine-mylyn-connector plugin for Redmine

Processing IssuesController#show (for 72.205.217.7 at 2011-01-29 14:42:55) [GET]
Parameters: {"action"=>"show", "id"=>"2", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView: :TemplateError (undefined local variable or method "issues_context_menu_path' for #<Act
ionView: :Base:0x7fce053feb68>) on line #142 of vendor/plugins/advanced_roadmap.0.3.0/app/views/iss
ues/show.rhtml:

139: <%= stylesheet_link_tag 'context_menu_rtl' if 1l(:direction) == 'rtl' %>"M

140: <% end %>"M

141: <div id="context-menu" style="display: none;"></div>"M

142: <%= javascript_tag "new ContextMenu ('#{issues_context_menu_path}')" %>"M

vendor/plugins/advanced_roadmap.0.3.0/app/views/issues/show.rhtml:142:in *_run_rhtml_vendor4d7p
lugins47advanced_roadmap46046346047appd7viewsd7issuesd7showdbrhtml’
/usr/lib/ruby/1.8/action_view/renderable.rb:34:in "send'
/usr/lib/ruby/1.8/action_view/renderable.rb:34:in "render'
/usr/lib/ruby/1.8/action_view/base.rb:306:in ‘with_template’
/usr/lib/ruby/1.8/action_view/renderable.rb:30:in "render'
/usr/lib/ruby/1.8/action_view/template.rb:205:in "“render_template'
/usr/lib/ruby/1.8/action_view/base.rb:265:in "“render'
/usr/lib/ruby/1.8/action_view/base.rb:348:in °~_render_with_layout'
/usr/lib/ruby/1.8/action_view/base.rb:262:in "“render'
/usr/lib/ruby/1.8/action_controller/base.rb:1250:in “render_for_file'
/usr/lib/ruby/1.8/action_controller/base.rb:945:in "render_without_benchmark'
/usr/lib/ruby/1.8/action_controller/benchmarking.rb:51:in "render'
/usr/lib/ruby/1.8/action_controller/benchmarking.rb:51:in "render'
app/controllers/issues_controller.rb:124:in " show'
135:in
135:in
rb:179:
rb:179:1in
rb:173:in
rb:173:
rb:107:

“call'
“custom'
“call!
‘respond'
‘each'

rb:
rb:

8/action_controller/mime_responds.
8/action_controller/mime_responds.
8/action_controller/mime_responds.
8/action_controller/mime_responds.
8/action_controller/mime_responds.

in

8/action_controller/mime_responds. in "“respond'

8/action_controller/mime_responds. in "“respond_to'
“show'
1331:in

1331:in "perform_action_without_filters'

8/action_controller/base.rb: “send’
8/action_controller/base.rb:
8/action_controller/filters.rb:617:in ‘call_filters'
8/action_controller/filters.rb:610:in “perform_action_without_benchmark'
8/action_controller/benchmarking.rb:68:in ‘perform_action_without_rescue'
8/action_controller/benchmarking.rb:68:in ‘perform_action_without_rescue'
8/action_controller/rescue.rb:160:in “perform_action_without_flash'
8/action_controller/flash.rb:146:in "perform_action'

532:in
532:in
rb:606:

“send'
‘process_without_filters'
in “process'

391:in “process'

386:in “call'
8/action_controller/routing/route_set.rb:437:in “call'

8/action_controller/base.rb:
8/action_controller/base.rb:
8/action_controller/filters.
8/action_controller/base.rb:
8/action_controller/base.rb:

8/action_controller/dispatcher.rb:
rb:
8/action_controller/dispatcher.rb:
8/active_record/query_cache.rb:29: ‘call’
8/active_record/query_cache.rb:29: ‘call!
8/active_record/connection_adapters/abstract/query_cache.rb:34:in ‘cache'
8/active_record/query_cache.rb:9:in "cache'

87:in “dispatch'
121: “_call!
130:in “build_middleware_stack'

8/action_controller/dispatcher. in
in
in

8/active_record/query_cache.rb:28:in ‘call'
8/active_record/connection_adapters/abstract/connection_pool.rb:361:in “call'
8/action_controller/string_coercion.rb:25:in “call'

8/rack/head.rb:9:in ‘call'
8/rack/methodoverride.rb:24:in “call'
8/action_controller/params_parser.rb:15:in “call'
8/action_controller/session/cookie_store.rb:93:1in
8/action_controller/failsafe.rb:26:in “call'
8/rack/lock.rb:11:in “call’

8/rack/lock.rb:11:in "synchronize'
8/rack/lock.rb:11:in “call'
8/action_controller/dispatcher.rb:106:in “call'
8/phusion_passenger/rack/request_handler.rb:92:in "process_request'
8/phusion_passenger/abstract_request_handler.rb:207:in "main_loop'
8/phusion_passenger/railz/application_spawner.rb:418:in "“start_request_handler

‘call!

8/phusion_passenger/railz/application_spawner.rb:358:in "handle_spawn_applicat

8/phusion_passenger/utils.rb:184:in "safe_fork'
8/phusion_passenger/railz/application_spawner.rb:354:in "handle_spawn_applicat

rb:352:
rb:352:
rb:196:
rb:163:
8/phusion_passenger/railz/application_spawner

*__send_ !
‘main_loop'
‘start_synchronously'

8/phusion_passenger/abstract_server. in
8/phusion_passenger/abstract_server.

8/phusion_passenger/abstract_server.

in
in
in “start'

.rb:213:in “start'

8/phusion_passenger/spawn_manager.rb:262:in " spawn_rails_application'

8/phusion_passenger/abstract_server.

8/phusion_passenger/abstract_server_collection.rb:126:in "~ lookup_or_add'
8/phusion_passenger/spawn_manager.rb:256:in "~ spawn_rails_application'
8/phusion_passenger/abstract_server_collection.rb:80:in "~synchronize'
8/phusion_passenger/abstract_server_collection.rb:79:in "“synchronize'
8/phusion_passenger/spawn_manager.rb:255:in "“spawn_rails_application'
8/phusion_passenger/spawn_manager.rb:154:in " spawn_application'
8/phusion_passenger/spawn_manager.rb:287:in “handle_spawn_application'
8/phusion_passenger/abstract_server.rb:352:in °__ _send_ '
8/phusion_passenger/abstract_server.rb:352:in ‘main_loop'

8/phusion_passenger/abstract_server.rb:196:in "start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server: 61l
Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision dcbd9ccc - 2011-02-22 08:17 - Emilio Gonzalez Montaia
#405

® Require Redmine v1.0.1 instead of v1.0.0.

History

#1 - 2011-02-22 09:16 - Emilio Gonzalez Montaina
- Category set to General

- Status changed from New to In progress

- Assignee set to Emilio Gonzalez Montarfia

- Target version set to Advanced roadmap 0.3.2

- Start date changed from 2011-01-29 to 2011-02-22

Plugin needs Redmine v1.0.1 at least.

#2 - 2011-02-22 09:18 - Emilio Gonzalez Montaia
- Due date set to 2011-02-22
- Status changed from In progress to Resolved

- % Done changed from 0 to 100

#3 - 2011-02-22 13:00 - Jack Timmons

Is that documented anywhere? | couldn't find it looking around earlier.
